*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html , body{
    width: 100vw;
    height: 500vh;
    background-color: white;
}

canvas{
    position: fixed;
    top: 0; 
    left: 0;
}

.nav{
    position:fixed;
    top: 0;
    left: 0;
    width: 100vw;
    padding: 1.5rem;
    display: flex;
    z-index: 2;
    mix-blend-mode: difference;
}

.nav-col{
    flex: 1;
}

.nav-col:nth-child(1){
    display: flex;
}

.nav-col:nth-child(1) p{
    flex: 1;
    
}

.nav-col:nth-child(2){
    text-align: right;
}

p{

    text-transform: uppercase;
    font-family:Cambria, Cochin, Georgia, Times, 'Times New Roman', serif;
    font-size: 10px;
    font-weight: bolder;
    line-height: 1.125;
    color: white;
}

.footer{
    position: fixed;
    bottom: 0;
    left: 0;
    width: 100vw;
    padding: 1.5rem;
    display: flex;
    justify-content: space-between;
    z-index: 2;
    mix-blend-mode: difference;
}

.lenis.lenis-smooth{
    scroll-behavior: auto !important;
}

.lenis.lenis-smooth[data-lenis-prevent]{
    overscroll-behavior: contain;
}

.lenis.lenis-stopped{
    overflow: clip;

}

.lenis.lenis-smooth iframe{
    pointer-events: none;
}


 /* ============================
   MOBILE OPTIMIZATION
============================ */

@media (max-width: 768px) {

  html, body {
    height: 600vh;
    overflow-x: hidden;
  }

  canvas {
    width: 100vw !important;
    height: 100vh !important;
    padding: 10%;
    touch-action: none; /* VERY IMPORTANT */
  }

  .nav,
  .footer {
    padding: 1rem;
  }

  p {
    font-size: 9px;
  }
}




